public class MowTheLawnExample
{
	public static void main(String args[])
	{
		// MowTheLawnExample
		// Define variables.  Perhaps define one more to help
		String days[] =
			{"Sunday", "Monday", "Tuesday",
			"Wednesday", "Thursday", "Friday", "Saturday"};
		String today;	// The day of the week.  e.g. "Monday"
		int timeHour;	// The hour of the time in 24 hour format.
		// Place your code here.  Hint: nested for loops.
		for (int i=0; i<days.length; i++)
		{
			today = days[i];
			for (timeHour=0; timeHour<24; timeHour++)
			{
				System.out.print("today is " + today);
				System.out.print(", time is " + timeHour);
				System.out.print(":00.  ");
				boolean isSaturday = today.equals("Saturday");
				boolean isSunday = today.equals("Sunday");
				boolean afterTen = timeHour >= 10;
				boolean beforeFour = timeHour < 16;
				if ((isSaturday || isSunday) && (afterTen && beforeFour))
					System.out.println("Mow the lawn.");
				else
					System.out.println("Do not mow the lawn!");
			}
		}
	}
}
